package com.company.example.entity;

import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.MappedSuperclass;
import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

@JmixEntity(name = "trz_BasicField")
@MappedSuperclass
@Getter
@Setter
public abstract class BasicField extends Tenant {

    @Column(name = "IDENTIFICATION", nullable = false, length = 40)
    @NotNull
    private String identification;

    @InstanceName
    @Column(name = "NAME_", nullable = false)
    @NotNull
    private String name;

    @Column(name = "HIDDEN")
    private Boolean hidden = false;
}