package com.company.example.entity;

import io.jmix.core.metamodel.datatype.EnumClass;

import org.springframework.lang.Nullable;


public enum ClassificationType implements EnumClass<Integer> {

    CT_CATEGORY(10),
    CT_SUBCATEGORY(20),
    CT_TYPE(30),
    CT_SUBTYPE(40),
    CT_BRAND(50);

    private final Integer id;

    ClassificationType(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    @Nullable
    public static ClassificationType fromId(Integer id) {
        for (ClassificationType at : ClassificationType.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}