package com.company.example.entity;

import io.jmix.core.annotation.TenantId;
import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.multitenancy.core.AcceptsTenant;
import jakarta.persistence.Column;
import jakarta.persistence.MappedSuperclass;

@JmixEntity(name = "trz_Tenant")
@MappedSuperclass
public abstract class Tenant extends Tracking implements AcceptsTenant {
    @TenantId
    @Column(name = "TENANT_ID")
    private String tenantId;

    @Override
    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}